> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping a connector

> Tests network connectivity and authentication for a connector configuration before saving it. Use this to validate connection settings during connector setup.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /connectors/ping
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /connectors/ping:
    post:
      tags:
        - Connectors
      summary: Ping a connector
      description: >-
        Tests network connectivity and authentication for a connector
        configuration before saving it. Use this to validate connection settings
        during connector setup.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PayloadsConnectorPayload'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterConnectorPingResponse'
          description: OK
        '204':
          description: No Content
        '400':
          description: Bad Request
components:
  schemas:
    PayloadsConnectorPayload:
      properties:
        dataPlaneName:
          type: string
        defaultDatabase:
          nullable: true
          type: string
        environmentUUID:
          format: uuid
          nullable: true
          type: string
        label:
          type: string
        sharedConfig:
          additionalProperties: {}
          nullable: true
          type: object
        sshTunnelUUID:
          format: uuid
          nullable: true
          type: string
        type:
          type: string
        uuid:
          type: string
      type: object
    RouterConnectorPingResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````